> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get a report

GET https://api.sigmacomputing.com/v2/reports/{reportId}

This endpoint retrieves a report by its unique identifier (`reportId`). It provides detailed information about the report, including its name, URL, path, and other metadata.

### Usage notes
- The **reportId** parameter must be a valid UUID that uniquely identifies the report. Invalid or nonexistent IDs return an error. Retrieve the **reportId** by calling the [/v2/reports](https://help.sigmacomputing.com/reference/list-reports) endpoint.

### Usage scenarios
- **Report search**: Allows users to view all of their reports and locate a specific one, as well as filter by criteria such as if it is archived.
- **Data retrieval**: Developers can use this endpoint to programmatically retrieve details about a specific report to display its content or metadata in a custom user interface.
- **Integration**: Use this endpoint for integrations where other systems need to fetch report details based on an ID provided through another interface or workflow.

### Best practices
- Validate the **reportId** on the client side before making a request to avoid unnecessary server load caused by invalid requests.

Reference: https://help.sigmacomputing.com/reference/get-report

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/reports/{reportId}:
    get:
      operationId: getReport
      summary: Get a report
      description: >-
        This endpoint retrieves a report by its unique identifier (`reportId`).
        It provides detailed information about the report, including its name,
        URL, path, and other metadata.


        ### Usage notes

        - The **reportId** parameter must be a valid UUID that uniquely
        identifies the report. Invalid or nonexistent IDs return an error.
        Retrieve the **reportId** by calling the
        [/v2/reports](https://help.sigmacomputing.com/reference/list-reports)
        endpoint.


        ### Usage scenarios

        - **Report search**: Allows users to view all of their reports and
        locate a specific one, as well as filter by criteria such as if it is
        archived.

        - **Data retrieval**: Developers can use this endpoint to
        programmatically retrieve details about a specific report to display its
        content or metadata in a custom user interface.

        - **Integration**: Use this endpoint for integrations where other
        systems need to fetch report details based on an ID provided through
        another interface or workflow.


        ### Best practices

        - Validate the **reportId** on the client side before making a request
        to avoid unnecessary server load caused by invalid requests.
      tags:
        - Reports
      parameters:
        - name: reportId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports_getReport_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ReportsReportIdGetResponsesContentApplicationJsonSchemaTagsItems:
      type: object
      properties:
        versionTagId:
          type: string
          description: Unique identifier of the tag.
        tagName:
          type: string
        sourceVersion:
          type: number
          format: double
        taggedAt:
          type: string
          format: date-time
        taggedReportId:
          type: string
          description: Unique identifier of the tagged report.
      required:
        - versionTagId
        - tagName
        - sourceVersion
        - taggedAt
        - taggedReportId
      title: V2ReportsReportIdGetResponsesContentApplicationJsonSchemaTagsItems
    reports_getReport_Response_200:
      type: object
      properties:
        reportId:
          type: string
          description: Unique identifier of the report.
        reportUrlId:
          type: string
        name:
          type: string
        url:
          type: string
        path:
          type: string
        latestVersion:
          type: number
          format: double
        ownerId:
          type: string
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        isArchived:
          type: boolean
        tags:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ReportsReportIdGetResponsesContentApplicationJsonSchemaTagsItems
        description:
          type: string
      required:
        - reportId
        - reportUrlId
        - name
        - url
        - path
        - latestVersion
        - ownerId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: reports_getReport_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "reportId": "88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "reportUrlId": "57a96EMo3GVJG73179MV2l",
  "name": "My report",
  "url": "https://example.com/reports/88889999-aaaa-bbbb-cccc-ddddeeeeffff",
  "path": "folder1",
  "latestVersion": 1,
  "ownerId": "user1",
  "createdBy": "user1",
  "updatedBy": "user2",
  "createdAt": "2022-01-01T00:00:00.000Z",
  "updatedAt": "2023-01-01T00:00:00.000Z",
  "isArchived": false,
  "tags": [
    {
      "versionTagId": "11112222-3333-4444-5555-666677778888",
      "tagName": "Production",
      "sourceVersion": 3,
      "taggedAt": "2024-06-15T12:00:00.000Z",
      "taggedReportId": "aaaabbbb-cccc-dddd-eeee-ffff00001111"
    }
  ],
  "description": "Describe my report"
}
```

**SDK Code**

```python Response Example
import requests

url = "https://api.sigmacomputing.com/v2/reports/reportId"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response Example
const url = 'https://api.sigmacomputing.com/v2/reports/reportId';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/reports/reportId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response Example
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/reports/reportId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java Response Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/reports/reportId")
  .header("Authorization", "<token>.")
  .asString();
```

```php Response Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/reports/reportId', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp Response Example
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/reports/reportId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift Response Example
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/reports/reportId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```